### A free/open-source library for quantitative finance

Public Member Functions | Protected Attributes
PiecewiseTimeDependentHestonModel Class Reference

Piecewise time dependent Heston model. More...

`#include <ql/models/equity/piecewisetimedependenthestonmodel.hpp>`

Inheritance diagram for PiecewiseTimeDependentHestonModel:
[legend]

List of all members.

## Public Member Functions

| PiecewiseTimeDependentHestonModel (const Handle< YieldTermStructure > &riskFreeRate, const Handle< YieldTermStructure > &dividendYield, const Handle< Quote > &s0, Real v0, const Parameter &theta, const Parameter &kappa, const Parameter &sigma, const Parameter &rho, const TimeGrid &timeGrid)
Real | theta (Time t) const
Real | kappa (Time t) const
Real | sigma (Time t) const
Real | rho (Time t) const
Real | v0 () const
Real | s0 () const
const TimeGrid & | timeGrid () const
const Handle < YieldTermStructure > & | dividendYield () const
const Handle < YieldTermStructure > & | riskFreeRate () const

## Protected Attributes

const Handle< Quote > | s0_
const Handle< YieldTermStructure > | riskFreeRate_
const Handle< YieldTermStructure > | dividendYield_
const TimeGrid | timeGrid_

## Detailed Description

Piecewise time dependent Heston model.

References:

Heston, Steven L., 1993. A Closed-Form Solution for Options with Stochastic Volatility with Applications to Bond and Currency Options. The review of Financial Studies, Volume 6, Issue 2, 327-343.

A. Elices, Models with time-dependent parameters using transform methods: application to Heston’s model, http://arxiv.org/pdf/0708.2020